PETSc version 3.15.5
Fix/Edit manual page

# TaoSetGradientNorm

Sets the matrix used to define the inner product that measures the size of the gradient.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoSetGradientNorm(Tao tao, Mat M)

Collective on tao

### Input Parameters

| tao | - the Tao context
| M | - gradient norm

### See Also

TaoGetGradientNorm(), TaoGradientNorm()

### Level

beginner

### Location

src/tao/interface/taosolver.c

### Examples

src/tao/tutorials/ex3.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages